#ifndef ANUGAVIS_H
#define ANUGAVIS_H

/* Start and stop the visualiser. AnugaVis_Init() returns -1 on
 * error. To get detailed error information, use AnugaVis_GetError().
 */
extern int AnugaVis_Init(int width, int height, const char *swwFilePath);
extern void AnugaVis_DeInit(void);

/* Define (or redefine if already defined a simple height quantity with the 
 * given offset, scale, and color. Returns 0 on success, -1 on error.
 */
extern int AnugaVis_DefineHeightQuantity(const char *name,
					 double offset, double scale,
					 int red, int green, int blue);
/* Undefine a given simple height quantity.
 */
extern void AnugaVis_UndefineHeightQuantity(char *name);

/* Get detailed error information. The returned string should not be
 * freed by the caller.
 */
extern char* AnugaVis_GetError(void);

#endif
